%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/Exception.pm) perl(Test/MockObject.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name MySQL-Privilege-Reader
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Determines which privileges are valid for a given MySQL Database Connection
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LM/LMC/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This modules reads, parses and returns a convenient (*) data structure with all
the available access privileges found in a given MySQL database connection.

(*) Convenient for me. If this is not exactly convenient for you, please feel
free to write me and ask for a more convenient data structure, and I will be
happy to build it into this module.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

